Bug 539820 - transmission-1.76-1.fc12 crashed in makeInfoDict() called by tr_realMakeMetaInfo()
transmission-1.76-1.fc12 crashed in makeInfoDict() called by tr_realMakeMetaI...
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: transmission (Show other bugs)
12
x86_64 Linux
low Severity medium
: ---
: ---
Assigned To: Rahul Sundaram
Fedora Extras Quality Assurance
abrt_hash:058d65b211ac41f151fd8b339f1...
: Reopened
: 531967 538981 539501 541071 541130 541482 542072 542250 542374 542513 542650 543316 544446 544509 544713 544908 544968 545301 545825 546916 547856 549049 549052 549159 549557 550423 550652 550698 550727 551076 551104 551166 552444 553746 556287 558727 (view as bug list)
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2009-11-21 02:44 EST by Andrew Gaul
Modified: 2013-03-13 01:46 EDT (History)
41 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-12-03 22:03:03 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)
File: backtrace (18.15 KB, text/plain)
2009-11-21 02:44 EST, Andrew Gaul
no flags Details

  None (edit)
Description Andrew Gaul 2009-11-21 02:44:36 EST
abrt detected a crash.

Comment: added magnet link
Attached file: backtrace
cmdline: transmission
component: transmission
executable: /usr/bin/transmission
kernel: 2.6.31.5-127.fc12.x86_64
package: transmission-1.76-1.fc12
rating: 4
reason: Process was terminated by signal 11
Comment 1 Andrew Gaul 2009-11-21 02:44:38 EST
Created attachment 372701 [details]
File: backtrace
Comment 2 Rahul Sundaram 2009-12-01 03:08:20 EST
*** Bug 541071 has been marked as a duplicate of this bug. ***
Comment 3 Rahul Sundaram 2009-12-01 03:08:28 EST
*** Bug 541130 has been marked as a duplicate of this bug. ***
Comment 4 Rahul Sundaram 2009-12-01 03:08:37 EST
*** Bug 542072 has been marked as a duplicate of this bug. ***
Comment 5 Rahul Sundaram 2009-12-01 03:08:51 EST
*** Bug 542250 has been marked as a duplicate of this bug. ***
Comment 6 Rahul Sundaram 2009-12-01 03:09:02 EST
*** Bug 542374 has been marked as a duplicate of this bug. ***
Comment 7 Rahul Sundaram 2009-12-01 03:09:12 EST
*** Bug 542513 has been marked as a duplicate of this bug. ***
Comment 8 Rahul Sundaram 2009-12-01 03:09:24 EST
*** Bug 542650 has been marked as a duplicate of this bug. ***
Comment 9 Rahul Sundaram 2009-12-01 03:11:47 EST
*** Bug 541482 has been marked as a duplicate of this bug. ***
Comment 10 Rahul Sundaram 2009-12-01 03:11:54 EST
*** Bug 538981 has been marked as a duplicate of this bug. ***
Comment 11 Rahul Sundaram 2009-12-01 03:57:33 EST
*** Bug 539501 has been marked as a duplicate of this bug. ***
Comment 12 Rahul Sundaram 2009-12-09 08:13:06 EST
*** Bug 543316 has been marked as a duplicate of this bug. ***
Comment 13 Rahul Sundaram 2009-12-09 08:13:19 EST
*** Bug 544446 has been marked as a duplicate of this bug. ***
Comment 14 Rahul Sundaram 2009-12-09 08:13:29 EST
*** Bug 544509 has been marked as a duplicate of this bug. ***
Comment 15 Rahul Sundaram 2009-12-09 08:13:38 EST
*** Bug 544713 has been marked as a duplicate of this bug. ***
Comment 16 Rahul Sundaram 2009-12-09 08:14:07 EST
*** Bug 544968 has been marked as a duplicate of this bug. ***
Comment 17 Rahul Sundaram 2009-12-09 08:14:16 EST
*** Bug 545301 has been marked as a duplicate of this bug. ***
Comment 18 Rahul Sundaram 2009-12-09 08:14:25 EST
*** Bug 545825 has been marked as a duplicate of this bug. ***
Comment 19 Rahul Sundaram 2009-12-09 08:15:31 EST
Please follow https://fedoraproject.org/wiki/StackTraces to install the debuginfo and generate a proper stack trace. Please also provide information on what you were doing to crash the program so that we can reproduce it. Thanks.
Comment 20 Rahul Sundaram 2009-12-09 08:16:36 EST
*** Bug 544908 has been marked as a duplicate of this bug. ***
Comment 21 Rahul Sundaram 2009-12-09 08:17:50 EST
*** Bug 531967 has been marked as a duplicate of this bug. ***
Comment 22 Rahul Sundaram 2009-12-09 08:25:23 EST
Specific instructions for getting a stack trace:

# yum install gdb
# debuginfo-install transmission 

- from the command line: $ gdb transmission
- (gdb) handle SIGPIPE nostop noprint nopass
- (gdb) r
- ... wait for transmission to crash...
- (gdb) thread apply all bt
  ^ and the attach the output of that command here
Comment 23 Rahul Sundaram 2010-01-11 17:07:40 EST
*** Bug 553883 has been marked as a duplicate of this bug. ***
Comment 24 Rahul Sundaram 2010-01-11 17:07:50 EST
*** Bug 546916 has been marked as a duplicate of this bug. ***
Comment 25 Rahul Sundaram 2010-01-11 17:08:10 EST
*** Bug 547856 has been marked as a duplicate of this bug. ***
Comment 26 Rahul Sundaram 2010-01-11 17:08:23 EST
*** Bug 549049 has been marked as a duplicate of this bug. ***
Comment 27 Rahul Sundaram 2010-01-11 17:08:39 EST
*** Bug 549052 has been marked as a duplicate of this bug. ***
Comment 28 Rahul Sundaram 2010-01-11 17:08:54 EST
*** Bug 549144 has been marked as a duplicate of this bug. ***
Comment 29 Rahul Sundaram 2010-01-11 17:09:10 EST
*** Bug 549159 has been marked as a duplicate of this bug. ***
Comment 30 Rahul Sundaram 2010-01-11 17:09:23 EST
*** Bug 549557 has been marked as a duplicate of this bug. ***
Comment 31 Rahul Sundaram 2010-01-11 17:09:41 EST
*** Bug 549993 has been marked as a duplicate of this bug. ***
Comment 32 Rahul Sundaram 2010-01-11 17:09:55 EST
*** Bug 550423 has been marked as a duplicate of this bug. ***
Comment 33 Rahul Sundaram 2010-01-11 17:10:08 EST
*** Bug 550652 has been marked as a duplicate of this bug. ***
Comment 34 Rahul Sundaram 2010-01-11 17:10:21 EST
*** Bug 550698 has been marked as a duplicate of this bug. ***
Comment 35 Rahul Sundaram 2010-01-11 17:10:34 EST
*** Bug 550727 has been marked as a duplicate of this bug. ***
Comment 36 Rahul Sundaram 2010-01-11 17:10:47 EST
*** Bug 551076 has been marked as a duplicate of this bug. ***
Comment 37 Rahul Sundaram 2010-01-11 17:12:16 EST
*** Bug 551811 has been marked as a duplicate of this bug. ***
Comment 38 Rahul Sundaram 2010-01-11 17:12:33 EST
*** Bug 551877 has been marked as a duplicate of this bug. ***
Comment 39 Rahul Sundaram 2010-01-11 17:12:49 EST
*** Bug 552444 has been marked as a duplicate of this bug. ***
Comment 40 Rahul Sundaram 2010-01-11 17:13:02 EST
*** Bug 552630 has been marked as a duplicate of this bug. ***
Comment 41 Rahul Sundaram 2010-01-11 17:13:17 EST
*** Bug 553106 has been marked as a duplicate of this bug. ***
Comment 42 Rahul Sundaram 2010-01-11 17:13:59 EST
*** Bug 551104 has been marked as a duplicate of this bug. ***
Comment 43 Rahul Sundaram 2010-01-11 17:14:14 EST
*** Bug 551166 has been marked as a duplicate of this bug. ***
Comment 44 Rahul Sundaram 2010-01-11 17:14:28 EST
*** Bug 553746 has been marked as a duplicate of this bug. ***
Comment 45 Rahul Sundaram 2010-01-11 17:14:41 EST
*** Bug 553866 has been marked as a duplicate of this bug. ***
Comment 46 Rahul Sundaram 2010-01-11 17:14:53 EST
*** Bug 554252 has been marked as a duplicate of this bug. ***
Comment 47 Fedora Update System 2010-01-14 15:25:07 EST
transmission-1.80-0.5.b5.fc12 has been submitted as an update for Fedora 12.
http://admin.fedoraproject.org/updates/transmission-1.80-0.5.b5.fc12
Comment 48 Fedora Update System 2010-01-15 17:10:36 EST
transmission-1.80-0.5.b5.fc12 has been pushed to the Fedora 12 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update transmission'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/F12/FEDORA-2010-0615
Comment 49 Rahul Sundaram 2010-01-18 13:34:44 EST
*** Bug 556287 has been marked as a duplicate of this bug. ***
Comment 50 Rahul Sundaram 2010-01-18 13:36:39 EST
*** Bug 555629 has been marked as a duplicate of this bug. ***
Comment 51 Rahul Sundaram 2010-01-21 04:26:27 EST
*** Bug 557215 has been marked as a duplicate of this bug. ***
Comment 52 Fedora Update System 2010-01-21 04:55:16 EST
transmission-1.80-1.fc12 has been submitted as an update for Fedora 12.
http://admin.fedoraproject.org/updates/transmission-1.80-1.fc12
Comment 53 Fedora Update System 2010-01-21 04:57:57 EST
transmission-1.80-1.fc11 has been submitted as an update for Fedora 11.
http://admin.fedoraproject.org/updates/transmission-1.80-1.fc11
Comment 54 Fedora Update System 2010-01-22 17:36:02 EST
transmission-1.80-1.fc11 has been pushed to the Fedora 11 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update transmission'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/F11/FEDORA-2010-0917
Comment 55 Fedora Update System 2010-01-22 17:37:31 EST
transmission-1.80-1.fc12 has been pushed to the Fedora 12 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update transmission'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/F12/FEDORA-2010-0922
Comment 56 Rahul Sundaram 2010-01-27 03:02:25 EST
*** Bug 558727 has been marked as a duplicate of this bug. ***
Comment 57 Charles Kerr 2010-04-16 00:16:48 EDT
The relevant pullquote from the crash:

> #0  0x0000000000441624 in makeInfoDict (builder=<value optimized out>, 
>     dict=<value optimized out>) at makemeta.c:344
>         pch = 0x7fd544000cb0 ""
>         base = <value optimized out>
> #1  tr_realMakeMetaInfo (builder=<value optimized out>, 
>     dict=<value optimized out>) at makemeta.c:419
>         i = <value optimized out>
>         top = {val = {b = 192 '\300', d = 6.9442876048761507e-310, i = 
>     140553945884096, s = {len = 140553945884096, str = {buf = 
>     "\f\000\000\000\000\000\000\000\b\000\000\000\000\000\000", ptr = 
>     0xc <Address 0xc out of bounds>}}, l = {vals = 0x7fd5440425c0, alloc = 
>     12, count = 8}}, type = 8 '\b'}
> #2  makeMetaWorkerFunc (builder=<value optimized out>, 
>     dict=<value optimized out>) at makemeta.c:483
>         builder = <value optimized out>
>         lock = <value optimized out>

Looks like this happened while trying to create a new torrent
Comment 58 Bug Zapper 2010-11-04 01:51:01 EDT
This message is a reminder that Fedora 12 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 12.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '12'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 12's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 12 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 59 Bug Zapper 2010-12-03 22:03:03 EST
Fedora 12 changed to end-of-life (EOL) status on 2010-12-02. Fedora 12 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.